VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
EventLogger Class Reference

`#include <eventlogger.h>`

## Public Types
using | Codes = std::vector<struct LogEvent>

## Public Member Functions
| EventLogger ()
void | clearLogEvents ()
void | resetLogEvents ()
const Codes & | getLogEvents () const
void | addLogEvent (Steinberg::int32 logId)
bool | empty () const

## Protected Attributes
Codes | mLogEvents

## Member Typedef Documentation

## ◆ Codes

using Codes = std::vector<struct LogEvent>

## Constructor & Destructor Documentation

## ◆ EventLogger()

EventLogger | ( |  | ) |

## Member Function Documentation

## ◆ clearLogEvents()

void clearLogEvents | ( |  | ) |

## ◆ resetLogEvents()

void resetLogEvents | ( |  | ) |

## ◆ getLogEvents()

const EventLogger::Codes & getLogEvents | ( |  | ) | const

## ◆ addLogEvent()

void addLogEvent | ( | Steinberg::int32 | logId | ) |

## ◆ empty()

bool empty | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mLogEvents

Codes mLogEvents
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.